module Main where

import ComputationM
import Functions

handleRecipeDir :: Token FilePath -> ComputationM ()
handleRecipeDir dir = do
  dirContents <- listDirectory dir
  imageFilenames <- filterComputationM isImageFilename dirContents
  t <- inject ("hej", "hey.txt")
  saveFile t

test :: ComputationM ()
test = do
  dir <- inject "retter"
  dirContents <- listDirectory dir
  mapComputationM_ handleRecipeDir dirContents
  t <- inject ("hej", "hey.txt")
  saveFile t

main :: IO ()
main = mapM_ print $ evalComputationM test
